%define upstream_name    Gtk2-Notify
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Perl interface to libnotify
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/Gtk2-Notify%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Gtk2/%{upstream_name}-%{upstream_version}.tar.bz2
# (Fedora) patch to make it build with libnotify-0.7
Patch0:		perl-Gtk2-Notify-0.05-libnotify-0.7.patch

BuildRequires:  libnotify-devel	
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:  perl-Gtk2
BuildRequires:  perl-Test-Exception
BuildRequires:	perl-devel
BuildRequires:	libpango-devel
BuildRequires:	libgtk+2-devel

%description
Perl interface to libnotify.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/man3/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.50.0-16pclos2017
- rebuild against updates

